commit 16588beac97fec29a34801176ca555b6c5901b62
Author: freddy77 <freddy77>
Date:   Tue Nov 24 15:48:52 2009 +0000

    small optimization

diff --git a/ChangeLog b/ChangeLog
index e8d0e16..3d8adf6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Nov 24 16:48:17 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/config.c: small optimization
+
 Mon Nov 23 12:30:27 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/msvc6/libTDS.dsp: Add bulk.c to msvc6 project file
 
@@ -1904,4 +1907,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2886 2009/11/23 11:31:08 freddy77 Exp $
+$Id: ChangeLog,v 1.2887 2009/11/24 15:48:52 freddy77 Exp $
diff --git a/src/tds/config.c b/src/tds/config.c
index 9aacc4e..0e98808 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.149 2009/11/22 21:49:49 jklowden Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.150 2009/11/24 15:48:52 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -968,11 +968,10 @@ tds_read_interfaces(const char *server, TDSCONNECTION * connection)
 
 	/* read $SYBASE/interfaces */
 
-	if (!server || strlen(server) == 0) {
+	if (!server || !server[0]) {
 		server = getenv("TDSQUERY");
-		if (!server || strlen(server) == 0) {
+		if (!server || !server[0])
 			server = "SYBASE";
-		}
 		tdsdump_log(TDS_DBG_INFO1, "Setting server to %s from $TDSQUERY.\n", server);
 
 	}

